# Data processing and plotting repository of the manuscript titled  _Mitigation of quasiparticle loss in transmon qubits by phonon scattering_.

This repository contains two zip files: `Data_processing_and_plotting.zip` and `Raw_timetraces.zip`.

The first zip file contains all of the processing and plotting of the data for the manuscript in addition to all of the paper figures. It also contains most of the raw experimental data, with the exception of the raw time traces used to plot Fig.3(a-b). These are are larger in filesize, and are provided separately in the `Raw_timetraces.zip` file for convenience.

The data processing and figure plotting occur in separate Jupyter notebooks and are executed using Python 3. For this we make use of the conda environment management system, and a self-contained environment that contains all the necessary libraries is provided in the `phonon_env.yml` file located in `Data_processing_and_plotting`. It can be installed with `conda env create -f phonon_env.yml`.


## `Data_processing_and_plotting.zip`
This file contains all of the processing and plotting of the data for the manuscript titled  _Mitigation of quasiparticle loss in transmon qubits by phonon scattering_. In addition it contains most of the raw data, with the exception of the raw time traces which are provided in a separate file.

The file contains the following folders:

* `Raw_data` - Folder containing the raw data saved with the NetCDF framework using the xarray python package. This does not include the raw time traces that are processed in notebook `1_processing_data.ipynb`. These files are available separately in the same data collection.

* `Processed_data` - Folder containing intermediate data resulting from each processing step and the final processed data ready to plot.

* `Figures` - Folder containing the output figures in PDF format.

It then contains the following Jupyter notebook files:

* `1_processing_data.ipynb` - notebook that processes all of the raw data and stores the results in the `Processed_data` folder.

* `2_plot_figures.ipynb` - notebook that constructs the main text and supplementary figures. Figures generated by this file are saved in the `Figures` folder.


## `Raw_timetraces.zip`
This file contains the raw time traces used in the manuscript titled _Mitigation of quasiparticle loss in transmon qubits by phonon scattering_. Specifically, it contains the raw data used to generate Fig. 3(a-b).
